> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update chapter

> Update a chapter's details



## OpenAPI

````yaml patch /videos/{VIDEO_ID}/chapters/{CHAPTER_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /videos/{VIDEO_ID}/chapters/{CHAPTER_ID}:
    parameters:
      - $ref: '#/components/parameters/videoId'
      - $ref: '#/components/parameters/chapterId'
    patch:
      tags:
        - Videos
      summary: Update chapter
      description: Update a chapter's details
      requestBody:
        $ref: '#/components/requestBodies/Chapter'
      responses:
        '200':
          $ref: '#/components/responses/Chapter'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    videoId:
      name: VIDEO_ID
      in: path
      description: ID of the video
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
    chapterId:
      name: CHAPTER_ID
      in: path
      description: ID of the chapter
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    Chapter:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                description: A short label for the chapter
                type: string
                maxLength: 20
              start:
                description: When the chapter starts, as HH:MM:SS
                type: string
                maxLength: 8
  responses:
    Chapter:
      description: Chapter
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Chapter'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Chapter:
      type: object
      required:
        - id
        - name
        - start
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 200
          example: Example
        start:
          type: string
          example: '00:00:05'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````